#region Using Statements
using System;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Audio;
#endregion

namespace GhostArena3D
{
   class GametypeScreen : MenuScreen
   {
      public GametypeScreen() : base("")
      {
         MenuEntries.Add(new MenuEntry("Single Player"));
         MenuEntries.Add(new MenuEntry("Multi-Player: Create Game"));
         MenuEntries.Add(new MenuEntry("Multi-Player: Join Game"));
         MenuEntries.Add(new MenuEntry("Back"));
      }


      protected override void OnSelectEntry(int entryIndex)
      {
         switch (entryIndex)
         {
            case 0:
               // Load the difficulty.
               ScreenManager.AddScreen(new DifficultyScreen(GameType.SINGLE_PLAYER));
               break;

            case 1:
               // Host Game.
               ScreenManager.AddScreen(new DifficultyScreen(GameType.MULTI_PLAYER_HOST));
               break;

            case 2:
               // Join Game.
               ScreenManager.AddScreen(new GameLobbyScreen(0, GameType.MULTI_PLAYER_CLIENT, false));
               break;

            case 3:
               // Go back to the main menu.
               ExitScreen();
               break;
         }
      }


      protected override void OnCancel()
      {
         ExitScreen();
      }
   }
}
